<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmBomLayout2 Structure
See Also Members

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmBomLayout2 Structure

Visual Basic
C#
C++/CLI
Contains information about a Bill of Materials layout.

# Syntax

Visual Basic |
--- | ---

    Public Structure EdmBomLayout2
       Inherits System.ValueType

C# |
--- | ---

    public struct EdmBomLayout2 : System.ValueType

C++/CLI |
--- | ---

    public value class EdmBomLayout2 : public System.ValueType

# Example

struct EdmBomLayout2{
integer mlLayoutID;
EdmBomType meType;
string mbsLayoutName;
};

# Remarks

This structure:

- Extends EdmBomLayout.
- Is used in IEdmBomMgr2::GetBomLayouts2 to get all BOM layouts and BOM types.

# See Also

####

EdmBomLayout2 Members
EPDM.Interop.epdm Namespace

# Availability

SOLIDWORKS PDM Professional 2020